Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.imp
Class ImpGlobal

    java.lang.Object
      com.sun.squawk.imp.ImpGlobal

All Implemented Interfaces:
  GlobalStaticFields

    public class ImpGlobal

extends Object
implements GlobalStaticFields

Field Summary
`static MIDletTunnel` | `midLetTunnel`
`protected static Vector` | `recordStoreDbCache`
`protected static IRecordStoreManager` | `recordStoreManager`

Method Summary
`static void` | `forceEraseRecordStores()`
`static Vector` | `getRecordStoreDbCache()`
`static IRecordStoreManager` | `getRecordStoreManager()`
`static long` | `getRecordStoreManagerErasedSequenceCurrentValue()`
`static void` | `resetRecordStoreManager()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recordStoreManager

    protected static IRecordStoreManager recordStoreManager

### recordStoreDbCache

    protected static Vector recordStoreDbCache

### midLetTunnel

    public static MIDletTunnel midLetTunnel

Method Detail

### forceEraseRecordStores

    public static void forceEraseRecordStores()

### getRecordStoreDbCache

    public static Vector getRecordStoreDbCache()

### getRecordStoreManager

    public static IRecordStoreManager getRecordStoreManager()
                                                     throws RecordStoreException

  Throws:
    `RecordStoreException`

### getRecordStoreManagerErasedSequenceCurrentValue

    public static long getRecordStoreManagerErasedSequenceCurrentValue()
                                                                throws RecordStoreException

  Throws:
    `RecordStoreException`

### resetRecordStoreManager

    public static void resetRecordStoreManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"